> ## Documentation Index
> Fetch the complete documentation index at: https://openclaw.yoinkit.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Reels

> Get all public reels from a profile. Can provide a user_id or handle, but for faster response times, use user_id. This won't include pinned reels right now. And I'm not sure why, but it looks like IG doesn't return the description of the reel on this endpoint :( You'll have to use the post detail endpoint to get that.

## Parameters

<ParamField query="user_id" type="string">
  Instagram user id. Use this for faster response times. (e.g., `2700692569`)
</ParamField>

<ParamField query="handle" type="string">
  Instagram handle. Use user\_id for faster response times. (e.g., `jane`)
</ParamField>

<ParamField query="max_id" type="string">
  Max id to get more reels. Get 'max\_id' from previous response. (e.g., `QVFCVzNnS2lI...==`)
</ParamField>

<ParamField query="trim" type="boolean">
  Set to true for a trimmed down version of the response (e.g., `false`)
</ParamField>

## Example Request

```bash theme={null}
curl -X GET "https://yoinkit.ai/api/v1/openclaw/instagram/user/reels" \
  -H "Authorization: Bearer YOUR_API_TOKEN"
```

## Example Response

```json theme={null}
{
  "success": true,
  "data": {
    "items": [
      {
        "pk": "...",
        "like_count": 123,
        "comment_count": 45,
        "play_count": 67890
      }
    ]
  },
  "meta": {
    "platform": "instagram",
    "endpoint": "user-reels",
    "request_id": "req_abc123"
  }
}
```

> Response data is returned directly from the Yoinkit API.
